<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.project.zcustom.mapper.synchronization.PlatSynchronizeMapper">

    <resultMap type="com.project.zcustom.domain.access.PlatAccess" id="PlatAccessResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="carLicenseNum"    column="car_license_num"    />
        <result property="guardCardNum"    column="guard_card_num"    />
        <result property="blackListsNum"    column="black_lists_num"    />
        <result property="beforeCarNum"    column="before_car_num"    />
        <result property="twoDaysCarNum"    column="two_days_car_num"    />
        <result property="threeDaysCarNum"    column="three_days_car_num"    />
        <result property="fourDaysCarNum"    column="four_days_car_num"    />
        <result property="fiveDaysCarNum"    column="five_days_car_num"    />
        <result property="sixDaysCarNum"    column="six_days_car_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.basics.PlatBasics" id="PlatBasicsResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="registerNum"    column="register_num"    />
        <result property="onlineNum"    column="online_num"    />
        <result property="orderNum"    column="order_num"    />
        <result property="onlineRate"    column="online_rate"    />
        <result property="cpuOverloadNum"    column="cpu_overload_num"    />
        <result property="diskOverloadNum"    column="disk_overload_num"    />
        <result property="memoryOverloadNum"    column="memory_overload_num"    />
        <result property="insufficientNum"    column="insufficient_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.basics.PlatBasicsCompany" id="PlatBasicsCompanyResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="companyName"    column="company_name"    />
        <result property="activeUserNum"    column="active_user_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.basics.PlatBasicsServer" id="PlatBasicsServerResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="serverName"    column="server_name"    />
        <result property="serverNum"    column="server_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.basics.PlatBasicsSystem" id="PlatBasicsSystemResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="sysType"    column="sys_type"    />
        <result property="between6Num"    column="between6_num"    />
        <result property="between12Num"    column="between12_num"    />
        <result property="between18Num"    column="between18_num"    />
        <result property="between24Num"    column="between24_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.employee.PlatEmployeeHealth" id="PlatEmployeeHealthResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="healthyNum"    column="healthy_num"    />
        <result property="subHealthyNum"    column="sub_healthy_num"    />
        <result property="participateNum"    column="participate_num"    />
        <result property="actualParticipateNum"    column="actual_participate_num"    />
        <result property="participateProportionRate"    column="participate_proportion_rate"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.employee.PlatEmployeeHealthIllness" id="PlatEmployeeHealthIllness">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="paramsName"    column="params_name"    />
        <result property="paramsValue"    column="params_value"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.employee.PlatEmployeeType" id="LargePlatEmployeeTypeResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="insideNum"    column="inside_num"    />
        <result property="loanNum"    column="loan_num"    />
        <result property="associationNum"    column="association_num"    />
        <result property="propertyNum"    column="property_num"    />
        <result property="entryInternalNum"    column="entry_internal_num"    />
        <result property="entryToLoanNum"    column="entry_to_loan_num"    />
        <result property="entryAssistNum"    column="entry_assist_num"    />
        <result property="entryPropertyNum"    column="entry_property_num"    />
        <result property="visitorNum"    column="visitor_num"    />
        <result property="grossNum"    column="gross_num"    />
        <result property="between2030Num"    column="between2030_num"    />
        <result property="between3040Num"    column="between3040_num"    />
        <result property="between4050Num"    column="between4050_num"    />
        <result property="exceed50Num"    column="exceed50_num"    />
        <result property="manNum"    column="man_num"    />
        <result property="womenNum"    column="women_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.employee.PlatEmployeeTypeFlow" id="LargePlatEmployeeTypeFlowResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="insideNum"    column="inside_num"    />
        <result property="loanNum"    column="loan_num"    />
        <result property="associationNum"    column="association_num"    />
        <result property="propertyNum"    column="property_num"    />
        <result property="visitNum"    column="visit_num"    />
        <result property="timeSign"    column="time_sign"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.smart.PlatGreenFoods" id="PlatGreenFoodsResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="appName"    column="app_name"    />
        <result property="foodInfo"    column="food_info"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.smart.PlatGreenSmartOther" id="PlatGreenSmartOtherResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="participateNum"    column="participate_num"    />
        <result property="completedNum"    column="completed_num"    />
        <result property="actualDiningNum"    column="actual_dining_num"    />
        <result property="lunchNum"    column="lunch_num"    />
        <result property="dinnerNum"    column="dinner_num"    />
        <result property="morningNum"    column="morning_num"    />
        <result property="noonNum"    column="noon_num"    />
        <result property="nightNum"    column="night_num"    />
        <result property="dailyMenuNum"    column="daily_menu_num"    />
        <result property="weeklyCuisineNum"    column="weekly_cuisine_num"    />
        <result property="foodVotingNum"    column="food_voting_num"    />
        <result property="clearPlateNum"    column="clear_plate_num"    />
        <result property="culinaryExchangeNum"    column="culinary_exchange_num"    />
        <result property="takeOutFoodNum"    column="take_out_food_num"    />
        <result property="selfFoodNum"    column="self_food_num"    />
        <result property="holidaySpecialNum"    column="holiday_special_num"    />
        <result property="breakServiceNum"    column="break_service_num"    />
        <result property="laundryServiceNum"    column="laundry_service_num"    />
        <result property="barberServiceNum"    column="barber_service_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.smart.PlatGreenSmartRank" id="PlatGreenSmartRankResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="type"    column="type"    />
        <result property="paramsName"    column="params_name"    />
        <result property="paramsValue"    column="params_value"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.smart.PlatGreenSmartSafety" id="PlatGreenSmartSafetyResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="canteenName"    column="canteen_name"    />
        <result property="sampleNum"    column="sample_num"    />
        <result property="positiveNum"    column="positive_num"    />
        <result property="negativeNum"    column="negative_num"    />
        <result property="ingredientsRate"    column="ingredients_rate"    />
        <result property="leaveSampleRate"    column="leave_sample_rate"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.post.PlatPostStation" id="PlatPostStationResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="faultWarrantyNum"    column="fault_warranty_num"    />
        <result property="dispatchedNum"    column="dispatched_num"    />
        <result property="suggestedNum"    column="suggested_num"    />
        <result property="repairOrdersNum"    column="repair_orders_num"    />
        <result property="questionnairesNum"    column="questionnaires_num"    />
        <result property="furniture"    column="furniture"    />
        <result property="fireControl"    column="fire_control_num"    />
        <result property="elevator"    column="elevator_num"    />
        <result property="hotColdWater"    column="hot_cold_water"    />
        <result property="electrical"    column="electrical"    />
        <result property="cleaning"    column="cleaning"    />
        <result property="airConditioning"    column="air_conditioning"    />
        <result property="other"    column="other"    />
        <result property="wall"    column="wall"    />
        <result property="accessControl"    column="access_control"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.post.PlatPostStationChart" id="PlatPostStationChartResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="appMonth"    column="app_month"    />
        <result property="colNum"    column="col_num"    />
        <result property="elevatorNum"    column="elevator_num"    />
        <result property="laNum"    column="la_num"    />
        <result property="seNum"    column="se_num"    />
        <result property="toNum"    column="to_num"    />
        <result property="arNum"    column="ar_num"    />
        <result property="diNum"    column="di_num"    />
        <result property="otNum"    column="ot_num"    />
        <result property="meNum"    column="me_num"    />
        <result property="ofNum"    column="of_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.property.PlatProperty" id="PlatPropertyResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="constructionQuantityNum"    column="construction_quantity_num"    />
        <result property="completedNum"    column="completed_num"    />
        <result property="participateProportionRate"    column="participate_proportion_rate"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.property.PlatPropertyList" id="PlatPropertyListResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="stationName"    column="station_name"    />
        <result property="stationAddress"    column="station_address"    />
        <result property="stationNum"    column="station_num"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.property.PlatPropertyTools" id="PlatPropertyToolsResult">
        <result property="id"    column="id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="appOrg"    column="app_org"    />
        <result property="selfTest"    column="self_test"    />
        <result property="consultation"    column="consultation"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.addional.LargeBuilding" id="LargePlatBuildingResult">
        <result property="id"    column="id"    />
        <result property="jsonFrequency"    column="json_frequency"    />
        <result property="jsonPatrol"    column="json_patrol"    />
        <result property="jsonPatrolPoint"    column="json_patrol_point"    />
        <result property="jsonPowerWaterMonth"    column="json_power_water_month"    />
        <result property="jsonAir"    column="json_air"    />
        <result property="jsonTarget"    column="json_target"    />
        <result property="jsonUseElectricity"    column="json_use_electricity"    />
        <result property="jsonGreenElectricity"    column="json_green_electricity"    />
        <result property="jsonCarbon"    column="json_carbon"    />
        <result property="jsonEnergyYear"    column="json_energy_year"    />
        <result property="jsonPowerYear"    column="json_power_year"    />
        <result property="jsonWaterYear"    column="json_water_year"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.addional.LargeBuildingControl" id="LargeBuildingControlResult">
        <result property="id"    column="id"    />
        <result property="weekElectricity"    column="week_electricity"    />
        <result property="controlElevator"    column="control_elevator"    />
        <result property="roomElectricity"    column="room_electricity"    />
        <result property="todayElectricity"    column="today_electricity"    />
        <result property="monthElectricityOne"    column="month_electricity_one"    />
        <result property="monthElectricityTwo"    column="month_electricity_two"    />
        <result property="monthElectricityThree"    column="month_electricity_three"    />
        <result property="roomLoadOne"    column="room_load_one"    />
        <result property="roomLoadTwo"    column="room_load_two"    />
        <result property="roomLoadThree"    column="room_load_three"    />
        <result property="warnDevice"    column="warn_device"    />
        <result property="waterDeviceAirNum"    column="water_device_air_num"    />
        <result property="waterControlNormalNum"    column="water_control_normal_num"    />
        <result property="waterControlAbnormalNum"    column="water_control_abnormal_num"    />
        <result property="warnEventStatistics"    column="warn_event_statistics"    />
        <result property="waterStateOne"    column="water_state_one"    />
        <result property="waterStateTwo"    column="water_state_two"    />
    </resultMap>

    <resultMap type="com.project.zcustom.domain.addional.LargeBuildingControlAmmeterDetail" id="LargePlatBuildingAmmeterDetailResult">
        <result property="id"    column="id"    />
        <result property="ammeterDetail"    column="ammeter_detail"    />
        <result property="type"    column="type"    />
    </resultMap>

    <select id="getServiceAccess" resultMap="PlatAccessResult">
        select * from large_plat_access
    </select>



    <select id="getServiceBasics" resultMap="PlatBasicsResult">
        select * from large_plat_basics
    </select>

    <select id="getServiceBasicsCompany" resultMap="PlatBasicsCompanyResult">
        select * from large_plat_basics_company
    </select>

    <select id="getServiceBasicsServer" resultMap="PlatBasicsServerResult">
        select * from large_plat_basics_server
    </select>

    <select id="getServiceBasicsSystem" resultMap="PlatBasicsSystemResult">
        select * from large_plat_basics_system
    </select>



    <select id="getServiceHealth" resultMap="PlatEmployeeHealthResult">
        select * from large_plat_employee_health
    </select>

    <select id="getServiceHealthIllness" resultMap="PlatEmployeeHealthIllness">
        select * from large_plat_employee_health_illness
    </select>



    <select id="getServiceEmployeeType" resultMap="LargePlatEmployeeTypeResult">
        select * from large_plat_employee_type
    </select>

    <select id="getServiceEmployeeTypeFlow" resultMap="LargePlatEmployeeTypeFlowResult">
        select * from large_plat_employee_type_flow
    </select>



    <select id="getServiceGreenFoods" resultMap="PlatGreenFoodsResult">
        select * from large_plat_green_foods
    </select>

    <select id="getServiceGreenSmartOther" resultMap="PlatGreenSmartOtherResult">
        select * from large_plat_green_smart_other
    </select>

    <select id="getServiceGreenSmartRank" resultMap="PlatGreenSmartRankResult">
        select * from large_plat_green_smart_rank
    </select>

    <select id="getServiceGreenSmartSafety" resultMap="PlatGreenSmartSafetyResult">
        select * from large_plat_green_smart_safety
    </select>


    <select id="getServicePostStation" resultMap="PlatPostStationResult">
        select * from large_plat_post_station
    </select>

    <select id="getServicePostStationChart" resultMap="PlatPostStationChartResult">
        select * from large_plat_post_station_chart
    </select>




    <select id="getServiceProperty" resultMap="PlatPropertyResult">
        select * from large_plat_property
    </select>

    <select id="getServicePropertyList" resultMap="PlatPropertyListResult">
        select * from large_plat_property_list
    </select>

    <select id="getServicePropertyTools" resultMap="PlatPropertyToolsResult">
        select * from large_plat_property_tools
    </select>


    <select id="getServiceBuilding" resultMap="LargePlatBuildingResult">
        select * from large_plat_building
    </select>

    <select id="getServiceBuildingControl" resultMap="LargeBuildingControlResult">
        select * from large_plat_building_control
    </select>

    <select id="getServiceBuildingAmmeterDetail" resultMap="LargePlatBuildingAmmeterDetailResult">
        select * from large_plat_building_ammeter_detail
    </select>



    <select id="getServiceEngineerCamera" resultMap="LargePlatBuildingResult">
        select * from large_plat_camera
    </select>

    <select id="getServiceEngineerIssue" resultMap="LargeBuildingControlResult">
        select * from large_plat_issue
    </select>

    <select id="getServiceEngineerPlan" resultMap="LargePlatBuildingAmmeterDetailResult">
        select * from large_plat_plan
    </select>

    <select id="getServiceEngineerProject" resultMap="LargePlatBuildingAmmeterDetailResult">
        select * from large_plat_project
    </select>
</mapper>
